org.apache.uima.util

## Class XMLSerializer.CharacterValidatingContentHandler

- java.lang.Object
- - org.apache.uima.util.XMLSerializer.CharacterValidatingContentHandler

- All Implemented Interfaces:
    ContentHandler, LexicalHandler
  Enclosing class:
    XMLSerializer

      public class XMLSerializer.CharacterValidatingContentHandler
      extends Object
      implements ContentHandler, LexicalHandler

  This class wraps the standard content handler

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `prevNL`
    `boolean` | `prevWasEndElement`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `characters(char[] ch, int start, int length)`
    `void` | `comment(char[] ch, int start, int length)`
    `void` | `endCDATA()`
    `void` | `endDocument()`
    `void` | `endDTD()`
    `void` | `endElement(String uri, String localName, String qName)`
    `void` | `endEntity(String arg0)`
    `void` | `endPrefixMapping(String prefix)`
    `int` | `getIndent()`
    `int` | `getIndentDelta()`
    `Node` | `getLastOutputNode()`
    `Node` | `getLastOutputNodePrevLevel()`
    `void` | `ignorableWhitespace(char[] ch, int start, int length)`
    `void` | `lastOutputNodeAddLevel()`
    `void` | `lastOutputNodeClearLevel()`
    `int` | `nextIndent()`
    `int` | `prevIndent()`
    `void` | `processingInstruction(String target, String data)`
    `void` | `setDocumentLocator(Locator locator)`
    `void` | `setIndentDelta(int indentDelta)`
    `void` | `setLastOutputNode(Node n)`
    `void` | `skippedEntity(String name)`
    `void` | `startCDATA()`
    `void` | `startDocument()`
    `void` | `startDTD(String arg0, String arg1, String arg2)`
    `void` | `startElement(String uri, String localName, String qName, Attributes atts)`
    `void` | `startEntity(String arg0)`
    `void` | `startPrefixMapping(String prefix, String uri)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### prevWasEndElement

          public boolean prevWasEndElement

    - #### prevNL

          public boolean prevNL

  - ### Method Detail

    - #### getIndent

          public int getIndent()

    - #### nextIndent

          public int nextIndent()

    - #### prevIndent

          public int prevIndent()

    - #### getIndentDelta

          public int getIndentDelta()

    - #### setIndentDelta

          public void setIndentDelta(int indentDelta)

    - #### lastOutputNodeAddLevel

          public void lastOutputNodeAddLevel()

    - #### setLastOutputNode

          public void setLastOutputNode(Node n)

    - #### getLastOutputNode

          public Node getLastOutputNode()

    - #### getLastOutputNodePrevLevel

          public Node getLastOutputNodePrevLevel()

    - #### lastOutputNodeClearLevel

          public void lastOutputNodeClearLevel()

    - #### startElement

          public void startElement(String uri,
                                   String localName,
                                   String qName,
                                   Attributes atts)
                            throws SAXException

      Specified by:
        `startElement` in interface `ContentHandler`
      Throws:
        `SAXException`

    - #### characters

          public void characters(char[] ch,
                                 int start,
                                 int length)
                          throws SAXException

      Specified by:
        `characters` in interface `ContentHandler`
      Throws:
        `SAXException`

    - #### endDocument

          public void endDocument()
                           throws SAXException

      Specified by:
        `endDocument` in interface `ContentHandler`
      Throws:
        `SAXException`

    - #### endElement

          public void endElement(String uri,
                                 String localName,
                                 String qName)
                          throws SAXException

      Specified by:
        `endElement` in interface `ContentHandler`
      Throws:
        `SAXException`

    - #### endPrefixMapping

          public void endPrefixMapping(String prefix)
                                throws SAXException

      Specified by:
        `endPrefixMapping` in interface `ContentHandler`
      Throws:
        `SAXException`

    - #### ignorableWhitespace

          public void ignorableWhitespace(char[] ch,
                                          int start,
                                          int length)
                                   throws SAXException

      Specified by:
        `ignorableWhitespace` in interface `ContentHandler`
      Throws:
        `SAXException`

    - #### processingInstruction

          public void processingInstruction(String target,
                                            String data)
                                     throws SAXException

      Specified by:
        `processingInstruction` in interface `ContentHandler`
      Throws:
        `SAXException`

    - #### setDocumentLocator

          public void setDocumentLocator(Locator locator)

      Specified by:
        `setDocumentLocator` in interface `ContentHandler`

    - #### skippedEntity

          public void skippedEntity(String name)
                             throws SAXException

      Specified by:
        `skippedEntity` in interface `ContentHandler`
      Throws:
        `SAXException`

    - #### startDocument

          public void startDocument()
                             throws SAXException

      Specified by:
        `startDocument` in interface `ContentHandler`
      Throws:
        `SAXException`

    - #### startPrefixMapping

          public void startPrefixMapping(String prefix,
                                         String uri)
                                  throws SAXException

      Specified by:
        `startPrefixMapping` in interface `ContentHandler`
      Throws:
        `SAXException`

    - #### comment

          public void comment(char[] ch,
                              int start,
                              int length)
                       throws SAXException

      Specified by:
        `comment` in interface `LexicalHandler`
      Throws:
        `SAXException`

    - #### endCDATA

          public void endCDATA()
                        throws SAXException

      Specified by:
        `endCDATA` in interface `LexicalHandler`
      Throws:
        `SAXException`

    - #### endDTD

          public void endDTD()
                      throws SAXException

      Specified by:
        `endDTD` in interface `LexicalHandler`
      Throws:
        `SAXException`

    - #### endEntity

          public void endEntity(String arg0)
                         throws SAXException

      Specified by:
        `endEntity` in interface `LexicalHandler`
      Throws:
        `SAXException`

    - #### startCDATA

          public void startCDATA()
                          throws SAXException

      Specified by:
        `startCDATA` in interface `LexicalHandler`
      Throws:
        `SAXException`

    - #### startDTD

          public void startDTD(String arg0,
                               String arg1,
                               String arg2)
                        throws SAXException

      Specified by:
        `startDTD` in interface `LexicalHandler`
      Throws:
        `SAXException`

    - #### startEntity

          public void startEntity(String arg0)
                           throws SAXException

      Specified by:
        `startEntity` in interface `LexicalHandler`
      Throws:
        `SAXException`

Copyright © 2006–2017 The Apache Software Foundation. All rights reserved.